[RISOLTO] Remmina in Mint LMDE

Discussioni relative alle distribuzioni derivate da Debian: Ubuntu, Mint, Kanotix, Knoppix, Clonezilla, etc.

[RISOLTO] Remmina in Mint LMDE

Messaggioda diabolikos » 11/11/2018, 21:10

Buonasera a tutti,
pur usando con soddisfazioni da anni diverse distro, sono abbastanza incapace. Dopo vario peregrinare sono arrivato a Mint LMDE che mi sembra veramente bella e stabile.

Venendo al mio problema:
Vorrei utilizzare Remmina per collegarmi da casa al pc in ufficio con una vpn.

Per fare questo ho necessità di abilitare i repository Backports, e pertanto ho modificato il file /etc/apt/sources.list in questo modo, aggiungendo:
# Backports per Debian 9 (Stretch) - da testing
deb http://ftp.it.debian.org/debian/ stretch-backports main
deb-src http://ftp.it.debian.org/debian/ stretch-backports main


ricevo però questo errore se cerco di installare remmina :
Alcuni pacchetti non possono essere installati. Questo può voler dire
che è stata richiesta una situazione impossibile oppure, se si sta
usando una distribuzione in sviluppo, che alcuni pacchetti richiesti
non sono ancora stati creati o sono stati rimossi da Incoming.
Le seguenti informazioni possono aiutare a risolvere la situazione:

I seguenti pacchetti hanno dipendenze non soddisfatte:
remmina : Dipende: libssh-4 (>= 0.8.1) ma la versione 0.7.3-2+deb9u1 sta per essere installata
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.


A questo punto non ho idea di come andare avanti e sopratutto se posso aver danneggiato il sistema fino a quel momento di default Tara 19.
diabolikos
Newbie
Newbie
 
Messaggi: 20
Iscritto il: 11/11/2018, 20:53

Re: Remmina in Mint LMDE

Messaggioda Aki » 12/11/2018, 8:16

diabolikos ha scritto:[..] sono arrivato a Mint LMDE [..] Vorrei utilizzare Remmina per collegarmi da casa al pc in ufficio con una vpn. Per fare questo ho necessità di abilitare i repository Backports, [..] ricevo però questo errore se cerco di installare remmina :
Codice: Seleziona tutto
I seguenti pacchetti hanno dipendenze non soddisfatte:
 remmina : Dipende: libssh-4 (>= 0.8.1) ma la versione 0.7.3-2+deb9u1 sta per essere installata
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.

A questo punto non ho idea di come andare avanti e sopratutto se posso aver danneggiato il sistema fino a quel momento di default Tara 19.

Premetto che non utilizzo Mint e, quindi, parto dall'assunto (non so fino a che punto corretto) che sia sostanzialmente una Debian Stable (dal momento che l'errore è relativo al pacchetto libssh che in Debian è alla versione 0.7.3-2+deb9u1 nella attuale release Stable).

L'errore che hai sopra riportato, in Debian, deriva, presumibilmente, dall'aver tentato di installare un programma (probabilmente nei backports) che prevede dipendenze da programmi/librerie distribuiti nel repository debian-backports piuttosto che in Debian Stable. Infatti, l'errore indica che il pacchetto remmina richiede il pacchetto libssh-4 alla versione >= 0.8.1, ma la versione 0.7.3-2+deb9u1 è disponibile nella configurazione dei repository come li hai attualmente configurati nella Tua installazione. Per risolvere, puoi installare manualmente le dipendenze di remmina da debian-backports, ad esempio, usando il seguente comando:
Codice: Seleziona tutto
apt-get -t stretch-backports install libssh-4 
Aki
Global Moderator
Global Moderator
 
Messaggi: 8158
Iscritto il: 27/12/2007, 16:59

Re: Remmina in Mint LMDE

Messaggioda diabolikos » 12/11/2018, 21:46

Perfetto! Ha funzionato tutto.
Installato il pacchetto indicato e poi REMMINA, testato funziona benissimo. ( Per curiosità mi vuoi indicare qualche programma alternativo? )

Si, LMDE è a tutti gli effetti una DEBIAN Stabile, molto meglio della MINT Standard derivata da UBUNTU.
Con gli scongiuri del caso, posso dirlo vedendo il comportamento del DE CINNAMON che per ora non ha ancora avuto crash a differenza dell'altra.

L'aggiunta dei Backports, credo non comprometta niente.. mi è sembrato di leggere che comunque sono affidabili se pur non rilasciati come stabile.

Grazie.
diabolikos
Newbie
Newbie
 
Messaggi: 20
Iscritto il: 11/11/2018, 20:53

Re: Remmina in Mint LMDE

Messaggioda Aki » 14/11/2018, 7:52

diabolikos ha scritto:Perfetto! Ha funzionato tutto.
Installato il pacchetto indicato e poi REMMINA, testato funziona benissimo. ( Per curiosità mi vuoi indicare qualche programma alternativo? )

Felice di esserti stato d'aiuto. Come programma alternativo si può utilizzare KRDC (client desktop remoto per kde) e rdesktop (in caso di collegamenti con terminali che utilizzano il protocollo rdp).
Aki
Global Moderator
Global Moderator
 
Messaggi: 8158
Iscritto il: 27/12/2007, 16:59

Re: [RISOLTO] Remmina in Mint LMDE

Messaggioda diabolikos » 14/11/2018, 20:43

Felice di esserti stato d'aiuto. Come programma alternativo si può utilizzare KRDC (client desktop remoto per kde) e rdesktop (in caso di collegamenti con terminali che utilizzano il protocollo rdp).

Grazie di tutto, ma soprattutto per la semplicità con cui hai risolto il problema.
Allora niente... conoscevo entrambi ma non mi piacciono.. molto meglio REMMINA che consiglio.

Aspettavo un tuo riscontro per mettere [RISOLTO], ma vedo che lo hai già fatto te.
Ancora grazie.. alla prossima ( non passerà molto tempo.. ;) ).
diabolikos
Newbie
Newbie
 
Messaggi: 20
Iscritto il: 11/11/2018, 20:53

Re: [RISOLTO] Remmina in Mint LMDE

Messaggioda Aki » 14/11/2018, 21:33

Happy Debian ;-)
Aki
Global Moderator
Global Moderator
 
Messaggi: 8158
Iscritto il: 27/12/2007, 16:59


Torna a Derivate da Debian

Chi c’è in linea

Visitano il forum: Nessuno e 3 ospiti